> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/59.-sorgu-asapplieddatasets-i-getir.md).

# 59. Sorgu: "AsAppliedDatasets"i getir

As-Planted veya As-Applied veri setlerini al

Seçili "Field" için tüm "AsAppliedDatasets" öğelerini al. Veri setleri, gibi genel GraphQL sorguları kullanılarak getirilebilir `getFarms` ve `getFields` bağlı "Field"'den.&#x20;

{% hint style="warning" %}
Bir "AsAppliedDataset" önceden yüklenmiş olmalıdır.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
sorgu GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    isim
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        isim
        number #geofeature toplam sayısı 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes (öznitelikler)
        
        fullAttributes { #her bir özellik için tam ayrıntılar
          name #istatistiklere bağlantı >> özellik
          transliteratedName
          fullName #doğru insan tarafından okunabilir isim
          birim#ölçü birimleri
        }

        usedMachines { #kullanılan makineler
          id
          seri
          operatörId
        } 

        createdDate #varlığın GeoPard'da oluşturulma tarihi ve saati
        updatedDate #son güncelleme tarih ve saati
        operationId
        operationType
        işDosyasıTarihi #dosya oluşturma tarihi zaman bilgisi meta bilgiden gelir 
        işBaşlamaTarihi #işlemin başlangıcı meta bilgiden gelir
        
        istatistikler { #her öznitelik için istatistik dağılımı
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoHaritalar {
          url
          kısaAd
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
sorgu GetAsAppliedDatasetsViaGetFields { 
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        isim
        number #geofeature toplam sayısı 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes (öznitelikler)
        
        fullAttributes { #her bir özellik için tam ayrıntılar
          name #istatistiklere bağlantı >> özellik
          transliteratedName
          fullName #doğru insan tarafından okunabilir isim
          birim#ölçü birimleri
        }

        usedMachines { #kullanılan makineler
          id
          seri
          operatörId
        } 

        createdDate #varlığın GeoPard'da oluşturulma tarihi ve saati
        updatedDate #son güncelleme tarih ve saati
        operationId
        operationType
        işDosyasıTarihi #dosya oluşturma tarihi zaman bilgisi meta bilgiden gelir 
        işBaşlamaTarihi #işlemin başlangıcı meta bilgiden gelir
        
        istatistikler { #her öznitelik için istatistik dağılımı
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoHaritalar {
          url
          kısaAd
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/59.-sorgu-asapplieddatasets-i-getir.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
